import { JSDOM } from "jsdom";

export default {
  convertRelativeLinks: (htmlContent, domain) => {
    if (!htmlContent || !domain) return htmlContent;

    const dom = new JSDOM(htmlContent);
    const document = dom.window.document;

    document.querySelectorAll("a[href]").forEach(link => {
      let href = link.getAttribute("href");

      if (href.startsWith("#")) {
        link.remove();
        return;
      }

      if (!href.startsWith("http://") && !href.startsWith("https://"))
        link.setAttribute("href", `${domain.replace(/\/$/, '')}/${href.replace(/^\/+/, '')}`);
    });

    return document.body.innerHTML;
  },
  generatePermalink: (url, baseUrl) => {
    if (url?.includes("http") || !baseUrl) return url
    return `${baseUrl}${url}`
  }
}
